#!/bin/tcsh 
####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,20
#last Edit: 2008,05,20
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: parameters pool
#2: number of cycles
#3: parameters signal
#4: changed parameters pool
###################################################################################

source $1

if ( $3 == 1 ) then
source $4
endif
@ tmp_i = $2 + 1


#if ( $build_mod == "resolve" || $build_mod == "auto" && $tmp_i < $auto_build_num || $3 == 0 ) then
#set tmp_mod = "resolve"
#else
#set tmp_mod = "arp"
#endif

set c_path = `pwd`/.par_tmp

if ( $OASIS_MODE != "DMR"  ) then
awk -f ${oasisbin}/html/control.awk -v path="$c_path" -v pid="$pid" -v cyc="$tmp_i" -v oasis_mode="$OASIS_MODE" -v build_mode="$build_mod" -v select_mode="normal" -v cyc_num="$cyc_num" -v rsed="$seed_range" ${oasisbin}/html/control.htm > $html_name/control.htm

else

awk -f ${oasisbin}/html/control.awk -v path="$c_path" -v pid="$pid" -v cyc="$tmp_i" -v oasis_mode="$OASIS_MODE" -v sed_range="$seed_range"  -v build_mode="$build_mod" -v select_mode="normal" -v cyc_num="$cyc_num" -v rsed="$seed_range" ${oasisbin}/html/control.htm > $html_name/control.htm
endif
