#!/bin/tcsh 
####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,20
#last Edit: 2008,05,20
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: parameters pool
###################################################################################

source $1
awk '{c= substr($0,1,1);if ( c !=">" ) {printf "%s\n",toupper($0);}}' $seqin > resolve.seq



if ( $ha_signal == "1" ) then
  sed 's/ATOM  /HETATM/g' $ha_pdb_file > oasis_ha.pdb
  echo "set ha_pdb = oasis_ha.pdb" >> $1
endif


if ( ${OASIS_MODE} == "DMR" ) then
  if ( $phase_signal != "oasis" || $extend_model_signal == 1 ) then
    echo "0"
  else
    echo "1"
  endif
endif


if ( ${OASIS_MODE} == "SAD" || ${OASIS_MODE} == "SIR" ) then
  if ( $PAR == "1" ) then
    echo "1"
  else
    echo "0"
  endif
endif
