#!/bin/tcsh 
####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,19
#last Edit: 2008,05,19 
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: AutoBuild_run_1_1 log
#2: best cyc
###################################################################################

#set resolve_result = `${oasisbin}/resolve_getinf.csh $1`

#set best_cyc = `awk '/Best solution on cycle:/{print $5}' $1`

set resolve_result = `awk -v best_cyc=$2 'BEGIN{sig=0;}  /SOLUTION  CYCLE/{sig=1;}  /^ [1-9]/{if ( sig == 1 ) {if (  $2 == best_cyc )  { printf"%s  %s  %.2f  %.2f",$5,$6,$3,$4;}}}' $1`

#set rfactor = `awk '/R and R-free/{printf"%.2f  %.2f",$4,$5}' $2`

set cc = `awk -v best_cyc=$2 'BEGIN{sig=0;} /Model obtained on cycle/{cyc=$5;}   /^Model-map CC:/{if ( cyc == best_cyc) { printf"%.2f",$3;exit;}}' $1`

echo " ${resolve_result[2]} ${resolve_result[1]} $cc ${resolve_result[3]} ${resolve_result[4]} "
