#!/bin/tcsh 
####################################################################################
#Author: Zhang Tao
#Email: zhangtao@cryst.iphy.ac.cn
#Created time: 2008,05,19
#last Edit: 2008,05,19 
#Group: SM5,  The Institute of Physics, Chinese Academy of Sciences
#####################################################################################

######parameters##################################################
#1: log file
###################################################################################
set best = `awk '/Finished model-building. Best model written out on cycle/{print $9;}' $1`
set dbest = `awk -v i=$best 'BEGIN{n=0;} /Total residues placed:|------- BUILD CYCLE/{if ($1 == "-------") {n++;} else { if (n==i+1) {print $4;}}}' $1`
set cbest = `awk -v i=$best 'BEGIN{n=0;} /Total residues built:|------- BUILD CYCLE/{if ($1 == "-------") {n++; } else { if (n==i+1) {print $4;}}}' $1`
set scor = `awk -v i=$best 'BEGIN{n=0;} /assigned to sequence =|------- BUILD CYCLE/{if ($1 == "-------") {n++; } else { if (n==i+1) {printf"%d",$5}}}' $1` 
echo -n "$dbest $cbest $scor"
